use bevy_ecs::component::Component;
use glam::{Mat4, Quat, Vec3};

pub trait Camera: Into<Mat4> + Component {}

#[derive(Component)]
pub struct Camera3D {
    pub projection: Mat4,
    pub position: Vec3,
    pub rotation: Quat,
}

impl Into<Mat4> for Camera3D {
    fn into(self) -> Mat4 {
        Mat4::from_rotation_translation(self.rotation, self.position) * self.projection
    }
}

impl Camera for Camera3D {}
